%!TEX root=../../../thesis.tex
%!TEX file=content/caro-dynamics/planar/kinematics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Kinematics}\label{sec:caro-dynamics:planar:kinematics}

Let the mobile platform of rectangular shape with width~$w$ and height~$h$ be mechanically parametrized by linear inertia~$\mass_{\subplatform}$ and rotational inertia~$\inertia_{\subplatform}$ as numbered in~\cref{tbl:caro-dynamics:planar:platform:mechanical-properties}.
Its state is uniquely defined by the generalized coordinates~$\genq_{\subplatform} = \transpose{ \left[ x, z, \beta \right] }$ following the equations of motion
%
\begin{align*}
  \begin{bmatrix}
    \mass_{\subplatform}
      & 0
      & 0
      \\
    0
      & \mass_{\subplatform}
      & 0
      \\
    0
      & 0
      & \inertia_{\subplatform}
  \end{bmatrix} \,
  \ddotgenq_{\subplatform}
    & = \forcevec_{\subplatform, \subgravity}
        +
        \transpose{\jacposconstraints_{\subplatform}} \of{\genq, t} \,
        ,
    \\
  \zeros
    & = \posconstraints_{\subplatform} \of{\genq, t} \,
        ,
\end{align*}
%
with gravitational force vector~$\forcevec_{\subplatform, \subgravity}$ and the constraints~$\posconstraints_{\subplatform} \of{\genq, t}$ as given in~\cref{eqn:caro-dynamics:multibody-cdpr:platform:constraints}.
We choose~$\numcable = 4$ cables.

\begin{table}[tbp]
  \centering
  \smaller[1]
  \caption{%
    Mechanical properties of mobile platform for planar \MP{1}{2} \caro simulation.
  }
  \label{tbl:caro-dynamics:planar:platform:mechanical-properties}
  \input{tables/cdpr-mechanical-planar}
\end{table}
